//
//  ImageBrowserCell.h
//  TaiZhouTobacco_7s
//
//  Created by JianjiYuan on 14-9-11.
//  Copyright (c) 2014年 JianjiYuan. All rights reserved.
//

#import <UIKit/UIKit.h>

@class ImageBrowserCell;

@protocol ImageBrowserCellDelegate <NSObject>

- (void)didLongGestureTapedImageCell:(ImageBrowserCell *)cell;
- (void)didStopShaking:(ImageBrowserCell *)cell;

@end

@interface ImageBrowserCell : UICollectionViewCell

@property (nonatomic, strong) UIImageView *imageVPhoto;
@property (nonatomic, strong) UIButton *btnDelete;

@property (nonatomic, weak) id<ImageBrowserCellDelegate> delegate;

@property (nonatomic) BOOL canBeDelete;
//button 状态
@property (nonatomic) BOOL isShaking;
//停止晃动
- (void)stopShake;
//开始晃动
- (void)beginShake;

@end
